List Developer Crm Organizations
/api/v1/developer/crm/organizationsUse the access scope below. The generated schemas specify the exact request and responses.
Access scopecrm.organizations.read
Authorization: Bearer YOUR_PROJECT_TOKEN
Parameters
statusoptional · querystringenum: ["active","archived","all"]JSON Schema
{ "type": "string", "enum": [ "active", "archived", "all" ] }limitoptional · queryintegerminimum: 1 · maximum: 100 · default: 50JSON Schema
{ "type": "integer", "minimum": 1, "maximum": 100, "default": 50 }cursoroptional · querystringminLength: 1 · maxLength: 512JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 512 }
Request examples
curl --request GET \ 'https://YOUR_NOVA_HOST/api/v1/developer/crm/organizations?status=active&limit=50' \ --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'
Responses
200 Paginated project CRM organizations
application/jsonobject
organizationsrequired- arraymaxItems: 100
Nested schema
arraymaxItems: 100objectidrequired- stringminLength: 1 · maxLength: 160
namerequired- stringminLength: 1 · maxLength: 160
websiterequired- string | null
cityrequired- string | null
statusrequired- stringenum: ["active","archived"]
contactCountrequired- integerminimum: 0
contactsrequired- arraymaxItems: 100
Nested schema
arraymaxItems: 100objectJSON Schema
{ "type": "object", "properties": { "contactId": { "type": "string", "minLength": 1, "maxLength": 160 }, "role": { "type": [ "string", "null" ] } }, "required": [ "contactId", "role" ] }JSON Schema
{ "type": "array", "items": { "type": "object", "properties": { "contactId": { "type": "string", "minLength": 1, "maxLength": 160 }, "role": { "type": [ "string", "null" ] } }, "required": [ "contactId", "role" ] }, "maxItems": 100 } dealCountrequired- integerminimum: 0
createdAtrequired- stringformat: "date-time"
updatedAtrequired- stringformat: "date-time"
JSON Schema
{ "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "name": { "type": "string", "minLength": 1, "maxLength": 160 }, "website": { "type": [ "string", "null" ] }, "city": { "type": [ "string", "null" ] }, "status": { "type": "string", "enum": [ "active", "archived" ] }, "contactCount": { "type": "integer", "minimum": 0 }, "contacts": { "type": "array", "items": { "type": "object", "properties": { "contactId": { "type": "string", "minLength": 1, "maxLength": 160 }, "role": { "type": [ "string", "null" ] } }, "required": [ "contactId", "role" ] }, "maxItems": 100 }, "dealCount": { "type": "integer", "minimum": 0 }, "createdAt": { "type": "string", "format": "date-time" }, "updatedAt": { "type": "string", "format": "date-time" } }, "required": [ "id", "name", "website", "city", "status", "contactCount", "contacts", "dealCount", "createdAt", "updatedAt" ] }JSON Schema
{ "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "name": { "type": "string", "minLength": 1, "maxLength": 160 }, "website": { "type": [ "string", "null" ] }, "city": { "type": [ "string", "null" ] }, "status": { "type": "string", "enum": [ "active", "archived" ] }, "contactCount": { "type": "integer", "minimum": 0 }, "contacts": { "type": "array", "items": { "type": "object", "properties": { "contactId": { "type": "string", "minLength": 1, "maxLength": 160 }, "role": { "type": [ "string", "null" ] } }, "required": [ "contactId", "role" ] }, "maxItems": 100 }, "dealCount": { "type": "integer", "minimum": 0 }, "createdAt": { "type": "string", "format": "date-time" }, "updatedAt": { "type": "string", "format": "date-time" } }, "required": [ "id", "name", "website", "city", "status", "contactCount", "contacts", "dealCount", "createdAt", "updatedAt" ] }, "maxItems": 100 } nextCursorrequired- string | null
JSON Schema
{
"type": "object",
"properties": {
"organizations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"website": {
"type": [
"string",
"null"
]
},
"city": {
"type": [
"string",
"null"
]
},
"status": {
"type": "string",
"enum": [
"active",
"archived"
]
},
"contactCount": {
"type": "integer",
"minimum": 0
},
"contacts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"contactId": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"role": {
"type": [
"string",
"null"
]
}
},
"required": [
"contactId",
"role"
]
},
"maxItems": 100
},
"dealCount": {
"type": "integer",
"minimum": 0
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"updatedAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"name",
"website",
"city",
"status",
"contactCount",
"contacts",
"dealCount",
"createdAt",
"updatedAt"
]
},
"maxItems": 100
},
"nextCursor": {
"type": [
"string",
"null"
]
}
},
"required": [
"organizations",
"nextCursor"
],
"$ref": "#/components/schemas/DeveloperCrmOrganizationListResponse"
}400 Invalid pagination request
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}401 Invalid developer credential
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}429 Developer API rate limit exceeded
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}503 Developer API rate limiter unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}